# NvRules non-member functions.

Non-member utility functions.

## Functions
IContext * | NV::Rules::get_context (ContextHandle h)
| Converts the context handle.
IEvaluator * | NV::Rules::get_evaluator (ContextHandle h)
| Returns the evaluator object.
void | NV::Rules::raise_exception (IBaseContext *h, const char *msg)
| Raises a python exception.

## Function Documentation

IContext* NV::Rules::get_context | ( | ContextHandle | h | ) |

Converts the context handle `h` to an IContext object

IEvaluator* NV::Rules::get_evaluator | ( | ContextHandle | h | ) |

Return the IEvaluator object from the context handle `h`

void NV::Rules::raise_exception | ( | IBaseContext * | h,
|  | const char * | msg |
| ) |  |  |

Raise a python exception with `msg`. This will terminate the script execution, if the context does not chose to mask the exception